com.ihr.xbrl.validation.report

## Class XBRLValidationReportToExcel

- java.lang.Object
- - com.ihr.xbrl.validation.report.XBRLValidationReportToExcel

- All Implemented Interfaces:
    XBRLValidationReportSerializer

      public class XBRLValidationReportToExcel
      extends java.lang.Object
      implements XBRLValidationReportSerializer

  Generates an excel file with the content of an XBRLValidationReport.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLValidationReportToExcel(java.net.URI excelURI)` Creates an instance of the transformer of the validation report to Excel.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(XBRLValidationReport xbrlValidationReport)` Produces the output of the XBRLValidationReport in the object implementing this interface.
    `static void` | `serializeToOutputStream(XBRLValidationReport xbrlValidationReport, java.io.OutputStream stream)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLValidationReportToExcel

          public XBRLValidationReportToExcel(java.net.URI excelURI)

      Creates an instance of the transformer of the validation report to Excel.
      Parameters:
        `excelURI` - the Excel document URI

  - ### Method Detail

    - #### serializeToOutputStream

          public static void serializeToOutputStream(XBRLValidationReport xbrlValidationReport,
                                     java.io.OutputStream stream)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serialize

          public void serialize(XBRLValidationReport xbrlValidationReport)

      Description copied from interface: `XBRLValidationReportSerializer`
      Produces the output of the XBRLValidationReport in the object implementing this interface.
      Specified by:
        `serialize` in interface `XBRLValidationReportSerializer`
      Parameters:
        `xbrlValidationReport` - the xbrl validation report